from asyncio import sleep

from disnake import FFmpegOpusAudio

from .Logger import logger


async def play_audio(audio, bot, vc):
    if not bot.voice_clients:
        logger.error(f'Playing: {audio}')
        vp = await vc.connect()
        if not vp.is_playing():
            vp.play(FFmpegOpusAudio(f'{audio}', ))
        while vp.is_playing():
            await sleep(0.5)
        await sleep(1)
        await vp.disconnect()
